summaryrefslogtreecommitdiff
path: root/db-4.8.30/test/scr035/chk.osdir
diff options
context:
space:
mode:
authorJesse Morgan <jesse@jesterpm.net>2016-12-17 21:28:53 -0800
committerJesse Morgan <jesse@jesterpm.net>2016-12-17 21:28:53 -0800
commit54df2afaa61c6a03cbb4a33c9b90fa572b6d07b8 (patch)
tree18147b92b969d25ffbe61935fb63035cac820dd0 /db-4.8.30/test/scr035/chk.osdir
Berkeley DB 4.8 with rust build script for linux.
Diffstat (limited to 'db-4.8.30/test/scr035/chk.osdir')
-rw-r--r--db-4.8.30/test/scr035/chk.osdir27
1 files changed, 27 insertions, 0 deletions
diff --git a/db-4.8.30/test/scr035/chk.osdir b/db-4.8.30/test/scr035/chk.osdir
new file mode 100644
index 0000000..36a2f4e
--- /dev/null
+++ b/db-4.8.30/test/scr035/chk.osdir
@@ -0,0 +1,27 @@
+#!/bin/sh -
+#
+# $Id$
+#
+# Check to make sure the @OSDIR@ entries in the Makefile are correct.
+
+d=../../dist
+
+[ -d $d ] || {
+ echo 'FAIL: cannot find source distribution directory.'
+ exit 1
+}
+
+t1=__1
+t2=__2
+
+egrep '/@OSDIR@/' $d/Makefile.in | sed -e 's/@.*/.c/' > t1
+
+(cd $d/../os_windows && ls os_*.c) > t2
+
+cmp t1 t2 || {
+ echo "Makefile @OSDIR@ mismatch with os_windows files"
+ echo "<<< Makefile >>> os_windows"
+ diff t1 t2
+ exit 1
+}
+exit 0